Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface INotice

All Known Subinterfaces:
  IAppointmentInvitation, IAppointmentNotice

public interface INotice

This class is a Domino notice.

Field Summary
`static int` | `KEYID_NOTICE_TYPE` The `int` ID for the `NOTICE_TYPE` key.
`static int` | `KEYID_STATUS_UPDATE` The `int` ID for the `STATUS_UPDATE` key.
`static int` | `KEYID_TOPIC` The `int` ID for the `TOPIC` key.
`static Key` | `NOTICE_TYPE` Key that represents the notice type.
`static Key` | `STATUS_UPDATE` Key that represents the status update.
`static Key` | `TOPIC` Key that represents the topic.

Method Summary
`NoticeType` | `getNoticeType()` Gets the notice type.
`java.lang.String` | `getStatusUpdate()` Gets the status update (comment) for the notice.
`java.lang.String` | `getTitle()` Gets the title for the notice using the default locale.
`java.lang.String` | `getTopic()` Gets the topic of the notice.

Field Detail

### KEYID_NOTICE_TYPE

    public static final int KEYID_NOTICE_TYPE

  The `int` ID for the `NOTICE_TYPE` key.

### KEYID_STATUS_UPDATE

    public static final int KEYID_STATUS_UPDATE

  The `int` ID for the `STATUS_UPDATE` key.

### KEYID_TOPIC

    public static final int KEYID_TOPIC

  The `int` ID for the `TOPIC` key.

### NOTICE_TYPE

    public static final Key NOTICE_TYPE

  Key that represents the notice type.

### STATUS_UPDATE

    public static final Key STATUS_UPDATE

  Key that represents the status update.

### TOPIC

    public static final Key TOPIC

  Key that represents the topic.

Method Detail

### getNoticeType

    public NoticeType getNoticeType()
                             throws CollaborationException

  Gets the notice type.
  Returns:
    the notice type or `null` if not recognized
  See Also:
    `// * @see #CHAIR`

### getTitle

    public java.lang.String getTitle()
                              throws CollaborationException

  Gets the title for the notice using the default locale.
  Returns:
    the title for the notice // * @see #CHAIR
  See Also:
    `// * @see #PRINCIPAL`

### getStatusUpdate

    public java.lang.String getStatusUpdate()
                                     throws CollaborationException

  Gets the status update (comment) for the notice.
  Returns:
    the status update (comment) for the notice
  See Also:
    `STATUS_UPDATE`

### getTopic

    public java.lang.String getTopic()
                              throws CollaborationException

  Gets the topic of the notice.
  Returns:
    the topic of the notice
  See Also:
    `TOPIC`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.